Skip to main content
`Ctrl`+`K`

# PetscGlobusUpload

Loads a file to Globus

## Synopsis

    PetscErrorCode PetscGlobusUpload(MPI_Comm comm, const char access_token[], const char filename[])

Not Collective, only the first process in the `MPI_Comm` uploads the file

## Input Parameters

- comm - MPI communicator

- access_token - obtained with `PetscGlobusAuthorize()`, pass `NULL` to use `-globus_access_token XXX` from the PETSc database

- filename - file to upload

## Options Database Key

- -globus_access_token XXX - the Globus token

## See Also

`PetscGoogleDriveAuthorize()`, `PetscGoogleDriveRefresh()`, `PetscGlobusAuthorize()`

## Level

intermediate

## Location

src/sys/webclient/globus.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages